Loading...
Searching...
No Matches
servermon::ServerMonitor::ServerSettings Struct Reference

Server Reachability Settings. More...

`import "ServerMonitor.idl";`

## Public Attributes

string | host
| Server hostname/IP address.
boolean | enabled
| Pinging enabled.
int | pingInterval
| Wait time after successful ping.
int | retryInterval
| Wait time after unsuccessful ping.
int | activationCount
| Minimum number of successful pings to enable feature.
int | failureCount
| Number of unsuccessful pings to consider server down.
int | resumeDelay
| Wait time before resuming pinging.
int | resumeCount
| Number of resumes before going back to WAITING state.
ServerPowerSettings | powerSettings
| Settings for controlling the power state of the server.

## Detailed Description

Server Reachability Settings.

Definition at line 73 of file ServerMonitor.idl.

## Member Data Documentation

## activationCount

int servermon::ServerMonitor::ServerSettings::activationCount

Minimum number of successful pings to enable feature.

Definition at line 78 of file ServerMonitor.idl.

## enabled

boolean servermon::ServerMonitor::ServerSettings::enabled

Pinging enabled.

Definition at line 75 of file ServerMonitor.idl.

## failureCount

int servermon::ServerMonitor::ServerSettings::failureCount

Number of unsuccessful pings to consider server down.

Definition at line 79 of file ServerMonitor.idl.

## host

string servermon::ServerMonitor::ServerSettings::host

Server hostname/IP address.

Definition at line 74 of file ServerMonitor.idl.

## pingInterval

int servermon::ServerMonitor::ServerSettings::pingInterval

Wait time after successful ping.

Definition at line 76 of file ServerMonitor.idl.

## powerSettings

ServerPowerSettings servermon::ServerMonitor::ServerSettings::powerSettings

Settings for controlling the power state of the server.

Definition at line 82 of file ServerMonitor.idl.

## resumeCount

int servermon::ServerMonitor::ServerSettings::resumeCount

Number of resumes before going back to WAITING state.

Definition at line 81 of file ServerMonitor.idl.

## resumeDelay

int servermon::ServerMonitor::ServerSettings::resumeDelay

Wait time before resuming pinging.

Definition at line 80 of file ServerMonitor.idl.

## retryInterval

int servermon::ServerMonitor::ServerSettings::retryInterval

Wait time after unsuccessful ping.

Definition at line 77 of file ServerMonitor.idl.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl